/*
SDX: Documentary System in XML.
Copyright (C) 2000, 2001, 2002  Ministere de la culture et de la communication (France), AJLSM

Ministere de la culture et de la communication,
Mission de la recherche et de la technologie
3 rue de Valois, 75042 Paris Cedex 01 (France)
mrt@culture.fr, michel.bottin@culture.fr

AJLSM, 17, rue Vital Carles, 33000 Bordeaux (France)
sevigny@ajlsm.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
or connect to:
http://www.fsf.org/copyleft/gpl.html
*/
package fr.gouv.culture.sdx.pipeline;


/**A transformation using an XSLTProcessorImpl from Cocoon
 *
 * Basically a wrapper to provide a certain configuration option
 * (stylesheet specification) and forwards events to a consumer
 * after the transformation has been executed.
 *
 * This class uses the Saxon processor through the role
 * "org.apache.excalibur.xml.xslt.XSLTProcessor/saxon". The component
 * MUST be declared in the cocoon.xconf file.
 *
 */
public class SAXONXSLTTransformation extends AbstractXSLTTransformation {

    /**Creates the transformation
     *
     * If logging is desired the super.getLog() should be set after creation.
     *
     * This transformation should be composed, properties set, and then configured.
     *
     * @see #enableLogging
     * @see #service
     * @see #contextualize
     * @see #configure
     */
    public SAXONXSLTTransformation() {
    }

    /**
     * Returns the XSLT processor factory to use. We return the explicit
     * factory class name for Saxon (8).
     */
    public String getTransformerFactory() {
//        return "com.icl.saxon.TransformerFactoryImpl";	// saxon 6
        return "net.sf.saxon.TransformerFactoryImpl";		// saxon 8
    }
}
